Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network85.78.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
85.78.0.0
Broadcast address
85.78.255.255
First usable
85.78.0.1
Last usable
85.78.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 554E0000 · Integer 1431175168 to 1431240703
Reverse DNS zone
78.85.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010101.01001110..00000000.0000000085.78.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01010101.01001110..00000000.0000000085.78.0.0
Broadcast01010101.01001110..11111111.1111111185.78.255.255
Split into smaller subnets/23

85.78.0.0/16 makes 128 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
185.78.0.0/2385.78.0.1 to 85.78.1.25485.78.1.255510
285.78.2.0/2385.78.2.1 to 85.78.3.25485.78.3.255510
385.78.4.0/2385.78.4.1 to 85.78.5.25485.78.5.255510
485.78.6.0/2385.78.6.1 to 85.78.7.25485.78.7.255510
585.78.8.0/2385.78.8.1 to 85.78.9.25485.78.9.255510
685.78.10.0/2385.78.10.1 to 85.78.11.25485.78.11.255510
785.78.12.0/2385.78.12.1 to 85.78.13.25485.78.13.255510
885.78.14.0/2385.78.14.1 to 85.78.15.25485.78.15.255510
985.78.16.0/2385.78.16.1 to 85.78.17.25485.78.17.255510
1085.78.18.0/2385.78.18.1 to 85.78.19.25485.78.19.255510
1185.78.20.0/2385.78.20.1 to 85.78.21.25485.78.21.255510
1285.78.22.0/2385.78.22.1 to 85.78.23.25485.78.23.255510
1385.78.24.0/2385.78.24.1 to 85.78.25.25485.78.25.255510
1485.78.26.0/2385.78.26.1 to 85.78.27.25485.78.27.255510
1585.78.28.0/2385.78.28.1 to 85.78.29.25485.78.29.255510
1685.78.30.0/2385.78.30.1 to 85.78.31.25485.78.31.255510
1785.78.32.0/2385.78.32.1 to 85.78.33.25485.78.33.255510
1885.78.34.0/2385.78.34.1 to 85.78.35.25485.78.35.255510
1985.78.36.0/2385.78.36.1 to 85.78.37.25485.78.37.255510
2085.78.38.0/2385.78.38.1 to 85.78.39.25485.78.39.255510
2185.78.40.0/2385.78.40.1 to 85.78.41.25485.78.41.255510
2285.78.42.0/2385.78.42.1 to 85.78.43.25485.78.43.255510
2385.78.44.0/2385.78.44.1 to 85.78.45.25485.78.45.255510
2485.78.46.0/2385.78.46.1 to 85.78.47.25485.78.47.255510
2585.78.48.0/2385.78.48.1 to 85.78.49.25485.78.49.255510
2685.78.50.0/2385.78.50.1 to 85.78.51.25485.78.51.255510
2785.78.52.0/2385.78.52.1 to 85.78.53.25485.78.53.255510
2885.78.54.0/2385.78.54.1 to 85.78.55.25485.78.55.255510
2985.78.56.0/2385.78.56.1 to 85.78.57.25485.78.57.255510
3085.78.58.0/2385.78.58.1 to 85.78.59.25485.78.59.255510
3185.78.60.0/2385.78.60.1 to 85.78.61.25485.78.61.255510
3285.78.62.0/2385.78.62.1 to 85.78.63.25485.78.63.255510
3385.78.64.0/2385.78.64.1 to 85.78.65.25485.78.65.255510
3485.78.66.0/2385.78.66.1 to 85.78.67.25485.78.67.255510
3585.78.68.0/2385.78.68.1 to 85.78.69.25485.78.69.255510
3685.78.70.0/2385.78.70.1 to 85.78.71.25485.78.71.255510
3785.78.72.0/2385.78.72.1 to 85.78.73.25485.78.73.255510
3885.78.74.0/2385.78.74.1 to 85.78.75.25485.78.75.255510
3985.78.76.0/2385.78.76.1 to 85.78.77.25485.78.77.255510
4085.78.78.0/2385.78.78.1 to 85.78.79.25485.78.79.255510
4185.78.80.0/2385.78.80.1 to 85.78.81.25485.78.81.255510
4285.78.82.0/2385.78.82.1 to 85.78.83.25485.78.83.255510
4385.78.84.0/2385.78.84.1 to 85.78.85.25485.78.85.255510
4485.78.86.0/2385.78.86.1 to 85.78.87.25485.78.87.255510
4585.78.88.0/2385.78.88.1 to 85.78.89.25485.78.89.255510
4685.78.90.0/2385.78.90.1 to 85.78.91.25485.78.91.255510
4785.78.92.0/2385.78.92.1 to 85.78.93.25485.78.93.255510
4885.78.94.0/2385.78.94.1 to 85.78.95.25485.78.95.255510
4985.78.96.0/2385.78.96.1 to 85.78.97.25485.78.97.255510
5085.78.98.0/2385.78.98.1 to 85.78.99.25485.78.99.255510
5185.78.100.0/2385.78.100.1 to 85.78.101.25485.78.101.255510
5285.78.102.0/2385.78.102.1 to 85.78.103.25485.78.103.255510
5385.78.104.0/2385.78.104.1 to 85.78.105.25485.78.105.255510
5485.78.106.0/2385.78.106.1 to 85.78.107.25485.78.107.255510
5585.78.108.0/2385.78.108.1 to 85.78.109.25485.78.109.255510
5685.78.110.0/2385.78.110.1 to 85.78.111.25485.78.111.255510
5785.78.112.0/2385.78.112.1 to 85.78.113.25485.78.113.255510
5885.78.114.0/2385.78.114.1 to 85.78.115.25485.78.115.255510
5985.78.116.0/2385.78.116.1 to 85.78.117.25485.78.117.255510
6085.78.118.0/2385.78.118.1 to 85.78.119.25485.78.119.255510
6185.78.120.0/2385.78.120.1 to 85.78.121.25485.78.121.255510
6285.78.122.0/2385.78.122.1 to 85.78.123.25485.78.123.255510
6385.78.124.0/2385.78.124.1 to 85.78.125.25485.78.125.255510
6485.78.126.0/2385.78.126.1 to 85.78.127.25485.78.127.255510
6585.78.128.0/2385.78.128.1 to 85.78.129.25485.78.129.255510
6685.78.130.0/2385.78.130.1 to 85.78.131.25485.78.131.255510
6785.78.132.0/2385.78.132.1 to 85.78.133.25485.78.133.255510
6885.78.134.0/2385.78.134.1 to 85.78.135.25485.78.135.255510
6985.78.136.0/2385.78.136.1 to 85.78.137.25485.78.137.255510
7085.78.138.0/2385.78.138.1 to 85.78.139.25485.78.139.255510
7185.78.140.0/2385.78.140.1 to 85.78.141.25485.78.141.255510
7285.78.142.0/2385.78.142.1 to 85.78.143.25485.78.143.255510
7385.78.144.0/2385.78.144.1 to 85.78.145.25485.78.145.255510
7485.78.146.0/2385.78.146.1 to 85.78.147.25485.78.147.255510
7585.78.148.0/2385.78.148.1 to 85.78.149.25485.78.149.255510
7685.78.150.0/2385.78.150.1 to 85.78.151.25485.78.151.255510
7785.78.152.0/2385.78.152.1 to 85.78.153.25485.78.153.255510
7885.78.154.0/2385.78.154.1 to 85.78.155.25485.78.155.255510
7985.78.156.0/2385.78.156.1 to 85.78.157.25485.78.157.255510
8085.78.158.0/2385.78.158.1 to 85.78.159.25485.78.159.255510
8185.78.160.0/2385.78.160.1 to 85.78.161.25485.78.161.255510
8285.78.162.0/2385.78.162.1 to 85.78.163.25485.78.163.255510
8385.78.164.0/2385.78.164.1 to 85.78.165.25485.78.165.255510
8485.78.166.0/2385.78.166.1 to 85.78.167.25485.78.167.255510
8585.78.168.0/2385.78.168.1 to 85.78.169.25485.78.169.255510
8685.78.170.0/2385.78.170.1 to 85.78.171.25485.78.171.255510
8785.78.172.0/2385.78.172.1 to 85.78.173.25485.78.173.255510
8885.78.174.0/2385.78.174.1 to 85.78.175.25485.78.175.255510
8985.78.176.0/2385.78.176.1 to 85.78.177.25485.78.177.255510
9085.78.178.0/2385.78.178.1 to 85.78.179.25485.78.179.255510
9185.78.180.0/2385.78.180.1 to 85.78.181.25485.78.181.255510
9285.78.182.0/2385.78.182.1 to 85.78.183.25485.78.183.255510
9385.78.184.0/2385.78.184.1 to 85.78.185.25485.78.185.255510
9485.78.186.0/2385.78.186.1 to 85.78.187.25485.78.187.255510
9585.78.188.0/2385.78.188.1 to 85.78.189.25485.78.189.255510
9685.78.190.0/2385.78.190.1 to 85.78.191.25485.78.191.255510
9785.78.192.0/2385.78.192.1 to 85.78.193.25485.78.193.255510
9885.78.194.0/2385.78.194.1 to 85.78.195.25485.78.195.255510
9985.78.196.0/2385.78.196.1 to 85.78.197.25485.78.197.255510
10085.78.198.0/2385.78.198.1 to 85.78.199.25485.78.199.255510
10185.78.200.0/2385.78.200.1 to 85.78.201.25485.78.201.255510
10285.78.202.0/2385.78.202.1 to 85.78.203.25485.78.203.255510
10385.78.204.0/2385.78.204.1 to 85.78.205.25485.78.205.255510
10485.78.206.0/2385.78.206.1 to 85.78.207.25485.78.207.255510
10585.78.208.0/2385.78.208.1 to 85.78.209.25485.78.209.255510
10685.78.210.0/2385.78.210.1 to 85.78.211.25485.78.211.255510
10785.78.212.0/2385.78.212.1 to 85.78.213.25485.78.213.255510
10885.78.214.0/2385.78.214.1 to 85.78.215.25485.78.215.255510
10985.78.216.0/2385.78.216.1 to 85.78.217.25485.78.217.255510
11085.78.218.0/2385.78.218.1 to 85.78.219.25485.78.219.255510
11185.78.220.0/2385.78.220.1 to 85.78.221.25485.78.221.255510
11285.78.222.0/2385.78.222.1 to 85.78.223.25485.78.223.255510
11385.78.224.0/2385.78.224.1 to 85.78.225.25485.78.225.255510
11485.78.226.0/2385.78.226.1 to 85.78.227.25485.78.227.255510
11585.78.228.0/2385.78.228.1 to 85.78.229.25485.78.229.255510
11685.78.230.0/2385.78.230.1 to 85.78.231.25485.78.231.255510
11785.78.232.0/2385.78.232.1 to 85.78.233.25485.78.233.255510
11885.78.234.0/2385.78.234.1 to 85.78.235.25485.78.235.255510
11985.78.236.0/2385.78.236.1 to 85.78.237.25485.78.237.255510
12085.78.238.0/2385.78.238.1 to 85.78.239.25485.78.239.255510
12185.78.240.0/2385.78.240.1 to 85.78.241.25485.78.241.255510
12285.78.242.0/2385.78.242.1 to 85.78.243.25485.78.243.255510
12385.78.244.0/2385.78.244.1 to 85.78.245.25485.78.245.255510
12485.78.246.0/2385.78.246.1 to 85.78.247.25485.78.247.255510
12585.78.248.0/2385.78.248.1 to 85.78.249.25485.78.249.255510
12685.78.250.0/2385.78.250.1 to 85.78.251.25485.78.251.255510
12785.78.252.0/2385.78.252.1 to 85.78.253.25485.78.253.255510
12885.78.254.0/2385.78.254.1 to 85.78.255.25485.78.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses